[tool.poetry]
name = "olib"
version = "0.1.0"
description = "Algorithm for detecting Burst GW's"
authors = ["ethan.marx <ethan.marx@ligo.org>"]
license = "MIT"
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.9"

[tool.poetry.group.dev.dependencies]
pre-commit = "^2.19.0"
pytest = "^7.1.2"

[tool.black]
line-length = 79
include = '\.pyi?$'
exclude = '''
/(
    \.git
  | \.tox
  | _build
  | dist
  | docs
)/
'''

[tool.isort]
known_first_party = ["retraction_scripts"]
multi_line_output = 3
include_trailing_comma = true


[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
